import { CustomLinkComponent, DocsProps, ReferenceResolver } from '@stoplight/elements-core';
import { Node } from '../../types';
declare type DocsBaseProps = Pick<DocsProps, 'tryItCorsProxy' | 'tryItCredentialsPolicy' | 'nodeHasChanged' | 'nodeUnsupported'>;
declare type DocsLayoutProps = Pick<Required<DocsProps>['layoutOptions'], 'compact' | 'hideTryIt' | 'hideTryItPanel' | 'hideSamples' | 'hideExport' | 'hideSecurityInfo' | 'hideServerInfo'>;
export declare type NodeContentProps = {
    node: Node;
    Link: CustomLinkComponent;
    hideMocking?: boolean;
    refResolver?: ReferenceResolver;
    maxRefDepth?: number;
    onExportRequest?: (type: 'original' | 'bundled') => void;
} & DocsBaseProps & DocsLayoutProps;
export declare const NodeContent: ({ node, Link, hideMocking, refResolver, maxRefDepth, tryItCorsProxy, tryItCredentialsPolicy, nodeHasChanged, nodeUnsupported, compact, hideTryIt, hideSamples, hideTryItPanel, hideSecurityInfo, hideServerInfo, hideExport, onExportRequest, }: NodeContentProps) => JSX.Element;
export declare const getNodeUriParts: (uri: string) => {
    fileUri: string;
    pointer: string;
};
export {};
